<?php
/**
 * Common Template - tpl_header.php
 *
 * this file can be copied to /templates/your_template_dir/pagename<br />
 * example: to override the privacy page<br />
 * make a directory /templates/my_template/privacy<br />
 * copy /templates/templates_defaults/common/tpl_footer.php to /templates/my_template/privacy/tpl_header.php<br />
 * to override the global settings and turn off the footer un-comment the following line:<br />
 * <br />
 * $flag_disable_header = true;<br />
 *
 * @package templateSystem
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_header.php 4813 2006-10-23 02:13:53Z drbyte $
 */
?>
<?php

	
  // Display all header alerts via messageStack:
  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
  if (isset($_GET['error_message']) && zen_not_null($_GET['error_message'])) {
  echo htmlspecialchars(urldecode($_GET['error_message']));
  }
  if (isset($_GET['info_message']) && zen_not_null($_GET['info_message'])) {
   echo htmlspecialchars($_GET['info_message']);
} else {

}
?>


<!--bof-header logo and navigation display-->
<?php
if (!isset($flag_disable_header) || !$flag_disable_header) {
?>

	<div class="navigation">
    	<div class="main">
            <div class="left">
            	<a href="<?php echo zen_href_link(FILENAME_DEFAULT);?>"><?php echo zen_image(DIR_WS_TEMPLATE.'images/logo.jpg'); ?></a>
            </div>
            <div class="right">
                <div class="links">
                    
                    <?php #HEADER LINKS START ?>
    
                    <a href="<?php echo HTTP_SERVER . DIR_WS_CATALOG ?>"><?php echo HEADER_TITLE_CATALOG; ?></a> |
                
                    <?php if ($_SESSION['customer_id']) { ?>
                        <a href="<?php echo zen_href_link(FILENAME_LOGOFF, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGOFF; ?></a> | <a href="<?php echo zen_href_link(FILENAME_ACCOUNT, '', 'SSL'); ?>"><?php echo HEADER_TITLE_MY_ACCOUNT; ?></a>
                    <?php
                          } else {
                            if (STORE_STATUS == '0') {
                    ?>
                        <a href="<?php echo zen_href_link(FILENAME_LOGIN, '', 'SSL'); ?>"><?php echo HEADER_TITLE_LOGIN; ?></a>
                    <?php } } ?>  
                    
                    <?php if ($_SESSION['cart']->count_contents() != 0) { ?>
                        | <a href="<?php echo zen_href_link(FILENAME_SHOPPING_CART, '', 'NONSSL'); ?>"><?php echo HEADER_TITLE_CART_CONTENTS; ?></a> | <a href="<?php echo zen_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'); ?>"><?php echo HEADER_TITLE_CHECKOUT; ?></a>
                    <?php } ?>
        
                    <?php #HEADER LINKS END ?>
    
                </div>
                <div class="nav_1">
    
                    <?php #LANGUAGE START ?>
                
                    <?php if (!isset($lng) || (isset($lng) && !is_object($lng))) {
                        $lng = new language;
                      }
                    
                      reset($lng->catalog_languages);
                    
                      while (list($key, $value) = each($lng->catalog_languages)) {
                        echo '<a href="' . zen_href_link($_GET['main_page'], zen_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $request_type) . '">' . zen_image(DIR_WS_LANGUAGES.$value['directory'].'/images/'.$value['image'], $value['name'], '', '', ' style="vertical-align:middle;"') . '</a>';
                      }
                     ?>
                     
                    <?php #LANGUAGE END ?>
    
                </div>
                <div class="nav_2">
                
                    <?php #CURRENCIES START ?>
                
                    <?=zen_draw_form('currencies', zen_href_link(basename(ereg_replace('.php','', $PHP_SELF)), '', $request_type, false), 'get')?>
    
                    <?
                    
                        if (isset($currencies) && is_object($currencies)) {
                    
                          reset($currencies->currencies);
                          $currencies_array = array();
                          while (list($key, $value) = each($currencies->currencies)) {
                            $currencies_array[] = array('id' => $key, 'text' => $value['title']);
                          }
                    
                          $hidden_get_variables = '';
                          reset($_GET);
                          while (list($key, $value) = each($_GET)) {
                            if ( ($key != 'currency') && ($key != zen_session_name()) && ($key != 'x') && ($key != 'y') ) {
                              $hidden_get_variables .= zen_draw_hidden_field($key, $value);
                            }
                          }
                        }
                    
                    ?><?=zen_draw_pull_down_menu('currency', $currencies_array, $_SESSION['currency'], ' onchange="this.form.submit();"') . $hidden_get_variables . zen_hide_session_id()?></form>
    
                    <?php #CURRENCIES END ?>
    
                </div>
                <div class="nav_3">
                
                    <?php #SEARCH START ?>
                    
                    <?php
                      echo zen_draw_form('quick_find_header', zen_href_link(FILENAME_ADVANCED_SEARCH_RESULT, '', 'NONSSL', false), 'get');
                    ?>  			
                    <?php
                      $content .= zen_draw_hidden_field('main_page',FILENAME_ADVANCED_SEARCH_RESULT);
                      $content .= zen_draw_hidden_field('search_in_description', '1') . zen_hide_session_id();
                    
                      if (strtolower(IMAGE_USE_CSS_BUTTONS) == 'yes') {
                        $content .= zen_draw_input_field('keyword', '', 'size="6" maxlength="30" class="input_search" value="' . HEADER_SEARCH_DEFAULT_TEXT . '" onfocus="if (this.value == \'' . HEADER_SEARCH_DEFAULT_TEXT . '\') this.value = \'\';" onblur="if (this.value == \'\') this.value = \'' . HEADER_SEARCH_DEFAULT_TEXT . '\';"') . '	 '. zen_image_submit ('search.gif',HEADER_SEARCH_BUTTON, ' class="in_none"');
                      } else {
                        $content .= ''.zen_draw_input_field('keyword', '', 'size="6" maxlength="30" class="input_search" value="' . HEADER_SEARCH_DEFAULT_TEXT . '" onfocus="if (this.value == \'' . HEADER_SEARCH_DEFAULT_TEXT . '\') this.value = \'\';" onblur="if (this.value == \'\') this.value = \'' . HEADER_SEARCH_DEFAULT_TEXT . '\';"') . '				'. zen_image_submit ('search.gif',HEADER_SEARCH_BUTTON, ' class="in_none"').'';
                      }
                    
                      $content .= "</form>";
                      
                      echo $content;
                    ?>
                    
                    <?php #SEARCH END ?>
    
                </div>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
        </div>
    </div>
    <div class="menu">
    	<div class="main">
        	<?php #HEADER START ?>
                
			<?php if (EZPAGES_STATUS_HEADER == '1' or (EZPAGES_STATUS_HEADER == '2' and (strstr(EXCLUDE_ADMIN_IP_FOR_MAINTENANCE, $_SERVER['REMOTE_ADDR'])))) { ?>
                <?php require($template->get_template_dir('tpl_ezpages_bar_header.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_ezpages_bar_header.php'); ?>
            <?php } ?>
            
			<?php #HEADER END ?>
            <div class="clear"></div>
        </div>
    </div>
			<?php if (SHOW_BANNERS_GROUP_SET2 != '' && $banner = zen_banner_exists('dynamic', SHOW_BANNERS_GROUP_SET2)) {
                
                if ($banner->RecordCount() > 0) {
			?>
        
    <div class="main">
			<?php
                    echo zen_display_banner('static', $banner);
			?>
               
    </div>
		
			<?php	        
                } 
                
            } // no HEADER_SALES_TEXT or SHOW_BANNERS_GROUP_SET2
			?>
    
		


			<?php
				if (CATEGORIES_TABS_STATUS == '1') {
			?>
            
    <div class="main">

            <?php
					require($template->get_template_dir('tpl_modules_categories_tabs.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_categories_tabs.php');
    		?>
        
    </div>
    
			<?php
				}
			?>
    <div class="spacer"><br class="clear" /></div>




<?php } ?>